cgSetTextureStateAssignment(3)

NAME
cgSetTextureStateAssignment - sets a state assignment to a texture effect parameter

SYNOPSIS
  #include <Cg/cg.h>

  CGbool cgSetTextureStateAssignment( CGstateassignment sa,
                                      CGparameter param );

PARAMETERS

sa  A state assignment of type CG_TEXTURE.

param
    An effect parameter of type CG_TEXTURE.

RETURN VALUES
Returns CG_TRUE if it succeeds in setting the state assignment.

Returns CG_FALSE otherwise.

DESCRIPTION
cgSetTextureStateAssignment sets the value of a state assignment of texture type to an effect parameter of type CG_TEXTURE.

EXAMPLES
  CGparameter effectParam = cgCreateEffectParameter(effect,
                                                    "normalizeCube",
                                                    CG_SAMPLERCUBE);
  CGstate state = cgGetNamedSamplerState(context, "Texture");
  CGstateassignment sa = cgCreateSamplerStateAssignment(effectParam, state);
  CGbool ok = cgSetTextureStateAssignment(sa, value);

ERRORS
CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of texture type.

CG_ARRAY_SIZE_MISMATCH_ERROR is generated if sa is an array and not a scalar.

CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgSetTextureStateAssignment was introduced in Cg 1.5.

SEE ALSO
cgGetTextureStateAssignmentValue, cgSetSamplerStateAssignment, cgSetBoolArrayStateAssignment, cgSetBoolStateAssignment, cgSetFloatArrayStateAssignment, cgSetFloatStateAssignment, cgSetIntArrayStateAssignment, cgSetIntStateAssignment, cgSetProgramStateAssignment, cgSetStringStateAssignment